# Class: StorePostCustomersReq

[internal](../modules/internal-37.md).StorePostCustomersReq

## Properties

### email

• **email**: `string`

#### Defined in

medusa/dist/api/routes/store/customers/create-customer.d.ts:106

___

### first\_name

• **first\_name**: `string`

#### Defined in

medusa/dist/api/routes/store/customers/create-customer.d.ts:104

___

### last\_name

• **last\_name**: `string`

#### Defined in

medusa/dist/api/routes/store/customers/create-customer.d.ts:105

___

### password

• **password**: `string`

#### Defined in

medusa/dist/api/routes/store/customers/create-customer.d.ts:107

___

### phone

• `Optional` **phone**: `string`

#### Defined in

medusa/dist/api/routes/store/customers/create-customer.d.ts:108
